# clock_desc_gettimeofday Class Reference

`#include <_clock_gettimeofday.h>`

List of all members.

## Public Types

typedef double | value_type

## Static Public Member Functions

static bool | realtime ()
static bool | proctime ()
static value_type | one_second ()
static value_type | precision ()
static const char * | description ()

## Static Protected Member Functions

static void | get_current_time (timestamp &x)
static timestamp | get_current_time ()
static value_type | timestamp_to_seconds (const timestamp &x)
static timestamp | seconds_to_timestamp (const value_type &x)

## Classes

class | timestamp

## Detailed Description

======================================================================== Extended Template and Library gettimeofday() Clock Description Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 43 of file _clock_gettimeofday.h.

## Member Typedef Documentation

typedef double clock_desc_gettimeofday::value_type

Definition at line 46 of file _clock_gettimeofday.h.

## Member Function Documentation

static bool clock_desc_gettimeofday::realtime | ( |  | ) | `[inline, static]`

Definition at line 48 of file _clock_gettimeofday.h.

static bool clock_desc_gettimeofday::proctime | ( |  | ) | `[inline, static]`

Definition at line 51 of file _clock_gettimeofday.h.

static value_type clock_desc_gettimeofday::one_second | ( |  | ) | `[inline, static]`

Definition at line 55 of file _clock_gettimeofday.h.

Referenced by precision().

static value_type clock_desc_gettimeofday::precision | ( |  | ) | `[inline, static]`

Definition at line 58 of file _clock_gettimeofday.h.

References f, and one_second().

Referenced by seconds_to_timestamp(), and timestamp_to_seconds().

static const char* clock_desc_gettimeofday::description | ( |  | ) | `[inline, static]`

Definition at line 61 of file _clock_gettimeofday.h.

static void clock_desc_gettimeofday::get_current_time | ( | timestamp & | x | ) | `[inline, static, protected]`

Definition at line 115 of file _clock_gettimeofday.h.

References NULL.

static timestamp clock_desc_gettimeofday::get_current_time | ( |  | ) | `[inline, static, protected]`

Definition at line 119 of file _clock_gettimeofday.h.

static value_type clock_desc_gettimeofday::timestamp_to_seconds | ( | const timestamp & | x | ) | `[inline, static, protected]`

Definition at line 123 of file _clock_gettimeofday.h.

References precision().

static timestamp clock_desc_gettimeofday::seconds_to_timestamp | ( | const value_type & | x | ) | `[inline, static, protected]`

Definition at line 127 of file _clock_gettimeofday.h.

References floor(), and precision().

The documentation for this class was generated from the following file:

- _clock_gettimeofday.h